/* Copyright 2000-2013 Matt Flax <flatmax@flatmax.org>
   This file is part of GTK+ IOStream class set

   GTK+ IOStream is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   GTK+ IOStream is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You have received a copy of the GNU General Public License
   along with GTK+ IOStream
 */
#include "gtkInterface.H"
#include "Scale.H"
#include "Buttons.H"
#include "Box.H"

static void quit(void *wid, gpointer data){
  gtk_main_quit();
}

static void scaleTouch(void *widget, gpointer data){
  cout<<"scaleTouch "<<data<<endl;
  cout<<"set to "<<Scale().getCount((GtkRange*)widget)<<endl;;
}

int main(int argc, char *argv[]){
  gtk_init( &argc, &argv );

  GtkInterface topWindow;
    gtk_widget_set_size_request (topWindow.win, 200, 300);

  HScale hScale(SCALESTRUCT{0,100,1,scaleTouch,NULL});

  VScale vScale(SCALESTRUCT{0,100,1,scaleTouch,NULL});

  hScale.show();
  (Scale)hScale=50.9;
  vScale.show();
  (Scale)vScale=50.9;

  Buttons buttons;
  buttons<<BUTTONLABELSTRUCT("Quit", quit, NULL);


  HBox hBox;
  VBox vBox;
  vBox<<buttons.grab(1);
  vBox<< hScale.getWidget();
  hBox<< vScale.getWidget();
  hBox.show();
  vBox.show();
  hBox<<BoxIS(true,true)<<vBox;
  topWindow<< hBox;


  //topWindow<<buttons.grab(1)<<buttons.grab(2);

  gtk_main();
}
