/* Copyright 2000-2013 Matt Flax <flatmax@flatmax.org>
   This file is part of GTK+ IOStream class set

   GTK+ IOStream is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   GTK+ IOStream is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You have received a copy of the GNU General Public License
   along with GTK+ IOStream
 */
#ifndef SLIDER_H_
#define SLIDER_H_

#include <iomanip>
#include <gtk/gtk.h>

class Slider {
public:
  GtkWidget *slider;
public:
  GtkWidget* getWidget(void){return slider;}
  void show(void){gtk_widget_show(slider);}
  void hide(void){gtk_widget_hide(slider);}

  ~Slider(void){
    //    gtk_widget_destroy(slider);
    //#ifdef DEBUG
    //    cout<<"Slider::~Slider"<<endl;
    //#endif
  }
};

class VSlider : public Slider {
public:
  VSlider(int min, int max, int step){
    slider = gtk_vscale_new_with_range(min,max,step);
  }
};

class HSlider  : public Slider {
public:
  HSlider(){
    slider = gtk_hscale_new_with_range(min,max,step);
  }
};

#endif //SLIDER_H_
