/* Copyright 2000-2013 Matt Flax <flatmax@flatmax.org>
   This file is part of GTK+ IOStream class set

   GTK+ IOStream is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   GTK+ IOStream is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You have received a copy of the GNU General Public License
   along with GTK+ IOStream
 */

/*
Author: Matt Flax <flatmax@flatmax.org>
Date: 2013.05.03
*/

#include "Thread.H"
#include <unistd.h>

#include <iostream>
using namespace std;

class ThreadedClass : public Thread {
    int variable;
public:
#ifdef USE_GLIB_THREADS
    static void staticMethod(void *data){
        ThreadedClass *tc=static_cast<ThreadedClass*>(data);
        tc->method();
    }
#else
    static void *staticMethod(void *data){
        ThreadedClass *tc=static_cast<ThreadedClass*>(data);
        tc->method();
        cout <<"data"<<data<<endl;
        tc->exit(data);
        return data;
    }
#endif

    void setVariable(int var){
        variable=var;
    }

    void method(void){
        sleep(1);
        cout<<"varibale = "<<++variable<<endl;
    }
};

int main(int argc, char *argv[]){

    ThreadedClass threadedClass;
    threadedClass.setVariable(3);
    threadedClass.run(threadedClass.staticMethod, static_cast<void*>(&threadedClass));
    cout<<&threadedClass<<'\t'<<threadedClass.meetThread()<<endl;
}
